Subject: Re: [bug#53797] [PATCH] gnu: Add emacs-app-launcher.

From: Maxime Devos <[email-masked]>
Date: Sat, 05 Feb 2022 13:12:57 +0100

Demis Balbach schreef op za 05-02-2022 om 12:20 [+0100]:
> +  (let ((commit "80a9ed37892ee6e21fe44487ed11f66a15e3f440")
> +        (revision "1")
> +        (version "0.1"))

It's the first version in Guix, so revision should be "0."
Also, version "0.1" seems to be incorrect here, since there
aren't any releases at all.  So I'd start at "0.0".

I could be wrong, but I don't think that the auto-updater
(guix refresh -u) understands let-bound versions (let-bound commits and
revisions are ok though), and you're only using the 'version' variable
in a single place, so I'd move it to the 'version' field of the package
record.

Greetings,
Maxime.